Loading...
Searching...
No Matches
baseauxiliarymodule.hh File Reference

Base class for specifying auxiliary equations. More...

`#include <opm/models/utils/propertysystem.hh>`
`#include <opm/models/discretization/common/fvbaseproperties.hh>`
`#include <opm/simulators/linalg/linalgproperties.hh>`
`#include <set>`
`#include <vector>`

Go to the source code of this file.

## Classes

struct | Opm::Properties::Tag::AuxModule
class | Opm::BaseAuxiliaryModule< TypeTag >
| Base class for specifying auxiliary equations. More...

## Namespaces

namespace | Opm
| This file contains a set of helper functions used by VFPProd / VFPInj.

## Detailed Description

Base class for specifying auxiliary equations.

For example, these equations can be wells, non-neighboring connections, interfaces between model domains, etc.